%define unmangled_version 1.1.1
%define release 1


# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define original_name rgain3
%define dashed_name rgain3
%define module_to_save rgain3

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{dashed_name}
Version:        1.1.1
Release:        %{mybuildnumber}%{?dist}
Summary:        Multi-format Replay Gain utilities

License:        GNU General Public License (v2 or later)
Source:         %{url}/archive/v%{version}/%{original_name}-%{version}.tar.gz

Patch0:      uselaterpytest.diff

BuildArch: noarch
BuildRequires:     gstreamer1
BuildRequires:     python3-packaging
BuildRequires:     gstreamer1-plugins-good
BuildRequires:     python3-setuptools
BuildRequires:     pyproject-rpm-macros
BuildRequires:     gstreamer1-plugins-base
BuildRequires:     gstreamer1
BuildRequires:     gstreamer1-plugins-good
BuildRequires:     gstreamer1-plugins-base
BuildRequires:     python3-mutagen >= 1.43.0
BuildRequires:     python3-gobject >= 3.34.0

%global _description %{expand:
A set of Python modules and utility programmes to deal with Replay Gain
information -- calculate it (with GStreamer), read and write it (with Mutagen).
It has support for Ogg Vorbis (or probably anything stored in an Ogg
container), Flac, WavPack, MP4 (aka AAC) and MP3 (in different incarnations).
There‘s also a command-line programme, ``replaygain``, that works very similar
to its like-named cousins, most prominently ``vorbisgain`` and ``mp3gain`` --
only that itworks for all those supported formats alike. ``collectiongain``
on the other hand is a kind of fire-and-forget tool for big amounts of music
files.


}

%description %_description

%package -n python3-%{dashed_name}
Summary:        %{summary}

%description -n python3-%{dashed_name} %_description

%prep
%autosetup -p1 -n %{original_name}-%{version}

%generate_buildrequires
if test -f tox.ini ; then

%pyproject_buildrequires -t

else

%pyproject_buildrequires

fi


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{module_to_save}


%check
if test -f tox.ini  ; then

%tox

fi

%files -n python3-%{dashed_name} -f %{pyproject_files}
%doc README*

%{_bindir}/replaygain
%{_bindir}/collectiongain

%changelog
* Thu Jun 16 2022 Manuel Amador <rudd-o@rudd-o.com> 0.1.0-1
- This release date means nothing.
